Package org.eclipse.emf.compare.ide.ui.internal.mergeresolution

# Class MergeResolutionListenerRegistry

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.mergeresolution.MergeResolutionListenerRegistry

public class MergeResolutionListenerRegistry extends Object
The registry managing the merge resolution extension point information.

## Constructor Summary

Constructors
Constructor
Description
`MergeResolutionListenerRegistry()`
Constructs and initialized this registry.

## Method Summary

Modifier and Type
Method
Description
`void`
`addProvider(String className, MergeResolutionListenerDescriptor descriptor)`
Adds the given `MergeResolutionListenerDescriptor` to this registry, using the given `className` as the identifier.
`void`
`clear()`
Clears out all registered listeners from this registry.
`void`
`mergeResolutionCompleted(Comparison comparison)`
Notifies all registered extension point clients of the completed merge resolution.
`MergeResolutionListenerDescriptor`
`removeProvider(String className)`
Removes the `MergeResolutionListenerDescriptor` and its managed `IDependencyProvider` identified by the given `className` from this registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MergeResolutionListenerRegistry

public MergeResolutionListenerRegistry()
Constructs and initialized this registry.

## Method Details

### addProvider

public void addProvider(String className, MergeResolutionListenerDescriptor descriptor)
Adds the given `MergeResolutionListenerDescriptor` to this registry, using the given `className` as the identifier.

Parameters:
  `className` - The identifier for the given `MergeResolutionListenerDescriptor`.
  `descriptor` - The `MergeResolutionListenerDescriptor` which is to be added to this registry.

### removeProvider

public MergeResolutionListenerDescriptor removeProvider(String className)
Removes the `MergeResolutionListenerDescriptor` and its managed `IDependencyProvider` identified by the given `className` from this registry.

Parameters:
  `className` - Identifier of the provider we are to remove from this registry.
Returns:
  The removed `MergeResolutionListenerDescriptor`, if any.

### clear

public void clear()
Clears out all registered listeners from this registry.

### mergeResolutionCompleted

public void mergeResolutionCompleted(Comparison comparison)
Notifies all registered extension point clients of the completed merge resolution.

Parameters:
  `comparison` - the comparison now resolved